JsonCpp project page | Classes | Namespace | JsonCpp home page

json_reader.cpp File Reference
`#include "json_tool.h"`
`#include <json/assertions.h>`
`#include <json/reader.h>`
`#include <json/value.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cmath>`
`#include <cstring>`
`#include <iostream>`
`#include <istream>`
`#include <iterator>`
`#include <limits>`
`#include <memory>`
`#include <set>`
`#include <sstream>`
`#include <utility>`
`#include <cstdio>`

Go to the source code of this file.

## Namespaces

namespace | Json
| JSON (JavaScript Object Notation).

## Macros

#define | _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES 1
#define | JSONCPP_DEPRECATED_STACK_LIMIT 256

## Typedefs

using | Json::CharReaderPtr = std::unique_ptr<CharReader>

## Functions

size_t & | Json::newlineScanByteCountForTesting ()
bool | Json::parseFromStream (CharReader::Factory const &, IStream &, Value *root, String *errs)
| Consume entire stream and use its begin/end.
IStream & | Json::operator>> (IStream &, Value &)
| Read from 'sin' into 'root'.

## Variables

static size_t const | stackLimit_g

## Macro Definition Documentation

## _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES

#define _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES 1

Definition at line 30 of file json_reader.cpp.

## JSONCPP_DEPRECATED_STACK_LIMIT

#define JSONCPP_DEPRECATED_STACK_LIMIT 256

Definition at line 42 of file json_reader.cpp.

## Variable Documentation

## stackLimit_g

size_t const stackLimit_g

static

Initial value:
=
256

Definition at line 45 of file json_reader.cpp.